OptinMonster and jQuery 3.2.1 Slim (Issue)

Posted on October 30, 2017 at 11:52 pm

Looks like that OptinMonster does not load the campaign if you use jQuery 3.2.1 Slim version. To fix this, I have used the normal jQuery (minified) .js file like this:

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

And then I made sure OptinMonster does not load jQuery 1.12.2:

<script>var om_load_jquery = false;</script>

After the above trick I added the OptinMonster JS code.

This way OptinMonster’s campaign is displayed.

Useful resources:

Debugging OptinMonster

Other Posts

Updated Posts